Index: trunk/examples/extended/electromagnetic/TestEm9/src/PhysListEmStandard.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/src/PhysListEmStandard.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/src/PhysListEmStandard.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: PhysListEmStandard.cc,v 1.8 2006/11/22 19:09:12 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysListEmStandard.cc,v 1.13 2008/11/16 21:01:10 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -39,5 +39,6 @@
 #include "G4PhotoElectricEffect.hh"
 
-#include "G4MultipleScattering.hh"
+#include "G4eMultipleScattering.hh"
+#include "G4hMultipleScattering.hh"
 
 #include "G4eIonisation.hh"
@@ -48,7 +49,12 @@
 #include "G4MuBremsstrahlung.hh"
 #include "G4MuPairProduction.hh"
+#include "G4hBremsstrahlung.hh"
+#include "G4hPairProduction.hh"
 
 #include "G4hIonisation.hh"
 #include "G4ionIonisation.hh"
+
+#include "G4EmProcessOptions.hh"
+#include "G4MscStepLimitType.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -83,22 +89,31 @@
     } else if (particleName == "e-") {
   
-      pmanager->AddProcess(new G4MultipleScattering, -1, 1,1);
-      pmanager->AddProcess(new G4eIonisation(),      -1, 2,2);
-      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 3,3);
+      pmanager->AddProcess(new G4eMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4eIonisation(),       -1, 2, 2);
+      pmanager->AddProcess(new G4eBremsstrahlung,     -1, 3, 3);
 	    
     } else if (particleName == "e+") {
 
-      pmanager->AddProcess(new G4MultipleScattering, -1, 1,1);
-      pmanager->AddProcess(new G4eIonisation(),      -1, 2,2);
-      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 3,3);
-      pmanager->AddProcess(new G4eplusAnnihilation,   0,-1,4);
+      pmanager->AddProcess(new G4eMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4eIonisation(),       -1, 2, 2);
+      pmanager->AddProcess(new G4eBremsstrahlung,     -1, 3, 3);
+      pmanager->AddProcess(new G4eplusAnnihilation,    0,-1, 4);
       
     } else if (particleName == "mu+" || 
                particleName == "mu-"    ) {
 
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      pmanager->AddProcess(new G4MuIonisation,      -1, 2,2);
-      pmanager->AddProcess(new G4MuBremsstrahlung,  -1, 3,3);
-      pmanager->AddProcess(new G4MuPairProduction,  -1, 4,4);       
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4MuIonisation,        -1, 2, 2);
+      pmanager->AddProcess(new G4MuBremsstrahlung,    -1, 3, 3);
+      pmanager->AddProcess(new G4MuPairProduction,    -1, 4, 4);       
+
+    } else if (particleName == "proton" || 
+               particleName == "pi-" ||  
+	       particleName == "pi+") {
+
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4hIonisation,         -1, 2, 2);
+      pmanager->AddProcess(new G4hBremsstrahlung,     -1, 3, 3);
+      pmanager->AddProcess(new G4hPairProduction,     -1, 4, 4);       
 
     } else if (particleName == "alpha" ||
@@ -106,6 +121,6 @@
 	       particleName == "GenericIon") {
 
-      pmanager->AddProcess(new G4MultipleScattering, -1, 1,1);
-      pmanager->AddProcess(new G4ionIonisation,      -1, 2,2);
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4ionIonisation,       -1, 2, 2);
      
     } else if ((!particle->IsShortLived()) &&
@@ -113,8 +128,39 @@
 	       (particle->GetParticleName() != "chargedgeantino")) {
 
-      pmanager->AddProcess(new G4MultipleScattering,-1,1,1);
-      pmanager->AddProcess(new G4hIonisation,       -1,2,2);
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4hIonisation,         -1, 2, 2);
     }
   }
+  
+  // Em options
+  //
+  // Main options and setting parameters are shown here.
+  // Several of them have default values.
+  //  
+  G4EmProcessOptions emOptions;
+  
+  //physics tables
+  //
+  emOptions.SetMinEnergy(100*eV);	//default    
+  emOptions.SetMaxEnergy(100*TeV);	//default  
+  emOptions.SetDEDXBinning(12*20);	//default=12*7  
+  emOptions.SetLambdaBinning(12*20);	//default=12*7
+  emOptions.SetSplineFlag(true);	//default  
+    
+  //coulomb scattering
+  //
+  emOptions.SetMscStepLimitation(fUseDistanceToBoundary);  //default=fUseSafety
+  emOptions.SetMscRangeFactor(0.04);	//default
+  emOptions.SetMscGeomFactor (2.5);	//default       
+  emOptions.SetSkin(3.);		//default
+          
+  //energy loss
+  //
+  emOptions.SetStepFunction(0.2, 100*um);	//default=(0.2, 1*mm)   
+  emOptions.SetLinearLossLimit(1.e-2);		//default
+   
+  //ionization
+  //
+  emOptions.SetSubCutoff(true);		//default=false  
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm9/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/src/PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/src/PhysicsList.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.19 2007/11/13 14:44:26 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: PhysicsList.cc,v 1.24 2008/10/16 11:48:58 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -46,8 +46,8 @@
 
 #include "PhysListEmStandard.hh"
-#include "PhysListEmStandardIG.hh"
 #include "G4EmStandardPhysics.hh"
 #include "G4EmStandardPhysics_option1.hh"
 #include "G4EmStandardPhysics_option2.hh"
+#include "G4EmStandardPhysics_option3.hh"
 #include "PhysListEmLivermore.hh"
 #include "PhysListEmPenelope.hh"
@@ -85,4 +85,6 @@
   cutForElectron  = defaultCutValue;
   cutForPositron  = defaultCutValue;
+  cutForVertexDetector = defaultCutValue;
+  cutForMuonDetector   = defaultCutValue;
 
   vertexDetectorCuts = 0;
@@ -96,5 +98,4 @@
   SetVerboseLevel(1);
 
-  mscStepLimit   = true;
   helIsRegisted  = false;
   bicIsRegisted  = false;
@@ -106,6 +107,6 @@
 
   // EM physics
-  emName = G4String("standard");
-  emPhysicsList = new PhysListEmStandard(emName);
+  emName = G4String("emstandard");
+  emPhysicsList = new G4EmStandardPhysics();
 }
 
@@ -173,5 +174,12 @@
       G4cout << "PhysicsList::Set " << name << " EM physics" << G4endl;
 
-  } else if (name == "standard") {
+  } else if (name == "emstandard_opt3") {
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmStandardPhysics_option3();
+    if (verboseLevel > 0) 
+      G4cout << "PhysicsList::Set " << name << " EM physics" << G4endl;
+
+  } else if (name == "emstandard_local") {
     emName = name;
     delete emPhysicsList;
@@ -179,11 +187,4 @@
     if (verboseLevel > 0) 
       G4cout << "PhysicsList::Set " << name << " EM physics" << G4endl;
-
-  } else if (name == "standardIG") {
-    emName = name;
-    delete emPhysicsList;
-    emPhysicsList = new PhysListEmStandardIG();
-    if (verboseLevel > 0) 
-      G4cout << "PhysicsList::Set StandardIG EM physics" << G4endl;
 
   } else if (name == "livermore") {
@@ -255,21 +256,23 @@
 void PhysicsList::SetCuts()
 {
-
   SetCutValue(cutForGamma, "gamma", "DefaultRegionForTheWorld");
   SetCutValue(cutForElectron, "e-", "DefaultRegionForTheWorld");
   SetCutValue(cutForPositron, "e+", "DefaultRegionForTheWorld");
-  G4cout << "PhysicsList: world cuts are set cutG= " << cutForGamma/mm 
-	 << " mm    cutE= " << cutForElectron/mm << " mm " << G4endl;
-
-  if( !vertexDetectorCuts ) SetVertexCut(cutForElectron);
+  //  G4cout << "PhysicsList: world cuts are set cutG= " << cutForGamma/mm 
+  //	 << " mm    cutE= " << cutForElectron/mm << " mm " << G4endl;
+
+  //G4cout << " cutV= " << cutForVertexDetector 
+  //     << " cutM= " << cutForMuonDetector<<G4endl;
+
   G4Region* region = (G4RegionStore::GetInstance())->GetRegion("VertexDetector");
-  region->SetProductionCuts(vertexDetectorCuts);
-  G4cout << "Vertex cuts are set" << G4endl;
-
-  if( !muonDetectorCuts ) SetMuonCut(cutForElectron);
+  vertexDetectorCuts = region->GetProductionCuts();
+  SetVertexCut(cutForVertexDetector);
+  //  G4cout << "Vertex cuts are set" << G4endl;
+ 
   region = (G4RegionStore::GetInstance())->GetRegion("MuonDetector");
-  region->SetProductionCuts(muonDetectorCuts);
-  G4cout << "Muon cuts are set" << G4endl;
-
+  muonDetectorCuts = region->GetProductionCuts();
+  SetMuonCut(cutForMuonDetector);
+  //G4cout << "Muon cuts are set " <<muonRegion << " " << muonDetectorCuts << G4endl;
+  
   if (verboseLevel>0) DumpCutValuesTable();
 }
@@ -303,10 +306,11 @@
 void PhysicsList::SetVertexCut(G4double cut)
 {
-  if( !vertexDetectorCuts ) vertexDetectorCuts = new G4ProductionCuts();
-
-  vertexDetectorCuts->SetProductionCut(cut, idxG4GammaCut);
-  vertexDetectorCuts->SetProductionCut(cut, idxG4ElectronCut);
-  vertexDetectorCuts->SetProductionCut(cut, idxG4PositronCut);
-
+  cutForVertexDetector = cut;
+  
+  if( vertexDetectorCuts ) {
+    vertexDetectorCuts->SetProductionCut(cut, idxG4GammaCut);
+    vertexDetectorCuts->SetProductionCut(cut, idxG4ElectronCut);
+    vertexDetectorCuts->SetProductionCut(cut, idxG4PositronCut);
+  } 
 }
 
@@ -315,18 +319,13 @@
 void PhysicsList::SetMuonCut(G4double cut)
 {
-  if( !muonDetectorCuts ) muonDetectorCuts = new G4ProductionCuts();
-
-  muonDetectorCuts->SetProductionCut(cut, idxG4GammaCut);
-  muonDetectorCuts->SetProductionCut(cut, idxG4ElectronCut);
-  muonDetectorCuts->SetProductionCut(cut, idxG4PositronCut);
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void PhysicsList::SetMscStepLimit(G4bool val)
-{
-  mscStepLimit = val;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
+  cutForMuonDetector   = cut;
+
+  if( muonDetectorCuts ) {
+    muonDetectorCuts->SetProductionCut(cut, idxG4GammaCut);
+    muonDetectorCuts->SetProductionCut(cut, idxG4ElectronCut);
+    muonDetectorCuts->SetProductionCut(cut, idxG4PositronCut);
+  }
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
Index: trunk/examples/extended/electromagnetic/TestEm9/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/src/PhysicsListMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/src/PhysicsListMessenger.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: PhysicsListMessenger.cc,v 1.3 2006/06/29 17:03:43 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsListMessenger.cc,v 1.4 2008/04/03 15:07:55 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
@@ -143,6 +143,6 @@
    { pPhysicsList->AddPhysicsList(newValue);}
 
-  if( command == mscCmd )
-   { pPhysicsList->SetMscStepLimit(mscCmd->GetNewBoolValue(newValue));}
+  //  if( command == mscCmd )
+  // { pPhysicsList->SetMscStepLimit(mscCmd->GetNewBoolValue(newValue));}
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm9/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/src/PrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/src/PrimaryGeneratorAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.3 2006/06/29 17:03:46 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/electromagnetic/TestEm9/src/StepMax.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/src/StepMax.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/src/StepMax.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.cc,v 1.3 2006/06/29 17:03:52 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm9/src/StepMaxMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/src/StepMaxMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/src/StepMaxMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.cc,v 1.2 2006/06/29 17:03:54 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm9/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm9/src/SteppingAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm9/src/SteppingAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: SteppingAction.cc,v 1.2 2006/06/29 17:03:57 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/errorpropagation/GNUmakefile
===================================================================
--- trunk/examples/extended/errorpropagation/GNUmakefile	(revision 1187)
+++ trunk/examples/extended/errorpropagation/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.1 2007/05/28 08:31:53 gcosmo Exp $
+# $Id: GNUmakefile,v 1.2 2009/03/06 09:50:28 gbarrand Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -15,15 +15,5 @@
 all: lib bin
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
-
 include $(G4INSTALL)/config/architecture.gmk
-
-ifdef G4ANALYSIS_USE
-  # for the aida-config command see the README file
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
Index: trunk/examples/extended/errorpropagation/errprop.cc
===================================================================
--- trunk/examples/extended/errorpropagation/errprop.cc	(revision 1187)
+++ trunk/examples/extended/errorpropagation/errprop.cc	(revision 1230)
@@ -48,5 +48,5 @@
 void Initialize();
 G4ErrorTarget* BuildTarget( G4int iTarget );
-void ProcessEvent( G4int iProp, uint nEv );
+void ProcessEvent( G4int iProp, size_t nEv );
 void Finalize();
 
@@ -77,6 +77,6 @@
   } 
 
-  uint nEvents = 3;
-  for( uint ii = 0; ii < nEvents; ii++ ){
+  size_t nEvents = 3;
+  for( size_t ii = 0; ii < nEvents; ii++ ){
     ProcessEvent( iProp, ii );
   }
@@ -149,5 +149,5 @@
 
 
-void ProcessEvent( G4int iProp, uint )
+void ProcessEvent( G4int iProp, size_t )
 {
   
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/hepmcEx01.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/hepmcEx01.cc	(revision 1187)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/hepmcEx01.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: hepmcEx01.cc,v 1.5 2006/07/05 11:06:36 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/hepmcEx02.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/hepmcEx02.cc	(revision 1187)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/hepmcEx02.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: hepmcEx02.cc,v 1.5 2006/07/05 12:04:07 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/eventgenerator/exgps/GNUmakefile
===================================================================
--- trunk/examples/extended/eventgenerator/exgps/GNUmakefile	(revision 1187)
+++ trunk/examples/extended/eventgenerator/exgps/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.3 2005/07/19 08:35:49 flei Exp $
+# $Id: GNUmakefile,v 1.5 2008/12/02 21:42:48 flei Exp $
 # --------------------------------------------------------------
 # GNUmakefile for tests module.  Gabriele Cosmo, 27/06/98.
@@ -21,6 +21,2 @@
 #LDFLAGS += -static
 
-ifdef G4ANALYSIS_USE
-   CPPFLAGS += `aida-config --include`
-   LDLIBS += `aida-config --lib`
-endif
Index: trunk/examples/extended/eventgenerator/exgps/display_vrml.mac
===================================================================
--- trunk/examples/extended/eventgenerator/exgps/display_vrml.mac	(revision 1187)
+++ trunk/examples/extended/eventgenerator/exgps/display_vrml.mac	(revision 1230)
@@ -7,3 +7,6 @@
 /vis/scene/endOfEventAction accumulate
 /tracking/storeTrajectory 1
+#
+# Flush visualization
+#/vis/viewer/update
 
Index: trunk/examples/extended/eventgenerator/exgps/exGPS.cc
===================================================================
--- trunk/examples/extended/eventgenerator/exgps/exGPS.cc	(revision 1187)
+++ trunk/examples/extended/eventgenerator/exgps/exGPS.cc	(revision 1230)
@@ -34,9 +34,10 @@
 
 #ifdef G4ANALYSIS_USE
-#include <AIDA/AIDA.h>
 #include "exGPSAnalysisManager.hh"
 #endif
 
+#ifdef G4VIS_USE
 #include "G4VisExecutive.hh"
+#endif
 
 #include "exGPSGeometryConstruction.hh"
@@ -54,5 +55,5 @@
 #ifdef G4ANALYSIS_USE
   //constructe the analysis manager (need here to activate the UI)
-  exGPSAnalysisManager* aMgr = exGPSAnalysisManager::getInstance(); 
+  exGPSAnalysisManager::getInstance(); 
 #endif
 
@@ -88,6 +89,8 @@
   
   // visualization manager
+#ifdef G4VIS_USE
   G4VisManager* visManager = new G4VisExecutive;
   visManager->Initialize();
+#endif
     
   //Initialize G4 kernel
@@ -114,8 +117,10 @@
 
 #ifdef G4ANALYSIS_USE
-  delete aMgr;
+  exGPSAnalysisManager::dispose();
 #endif
 
+#ifdef G4VIS_USE
   delete visManager;
+#endif
   delete runManager;
   
Index: trunk/examples/extended/eventgenerator/exgps/include/exGPSAnalysisManager.hh
===================================================================
--- trunk/examples/extended/eventgenerator/exgps/include/exGPSAnalysisManager.hh	(revision 1187)
+++ trunk/examples/extended/eventgenerator/exgps/include/exGPSAnalysisManager.hh	(revision 1230)
@@ -31,11 +31,13 @@
 #include "globals.hh"
 
-using namespace AIDA;
+namespace AIDA {
 
-class AIDA::IAnalysisFactory;
-class AIDA::ITree;
-class AIDA::IHistogramFactory;
-class AIDA::ITupleFactory;
-class AIDA::IPlotter;
+class IAnalysisFactory;
+class ITree;
+class IPlotter;
+class IHistogram1D;
+class IHistogram2D;
+class ITuple;
+}
 
 class exGPSAnalysisMessenger;
@@ -48,14 +50,9 @@
 private:
   exGPSAnalysisManager ();
+  virtual ~exGPSAnalysisManager ();
 
 public:
-  virtual ~exGPSAnalysisManager ();
   static exGPSAnalysisManager* getInstance ();
   static void dispose();
-
-  IHistogramFactory* getHistogramFactory();
-  ITupleFactory* getTupleFactory();
-  IPlotter* createPlotter();
-
 
 public:
@@ -80,21 +77,18 @@
   G4String fileType;
 
-  IAnalysisFactory* analysisFactory;
-  IHistogramFactory* hFactory;
-  ITupleFactory* tFactory;
-  ITree* tree;
+  AIDA::IAnalysisFactory* analysisFactory;
+  AIDA::ITree* tree;
+  AIDA::IPlotter* plotter;
 
   G4double minpos, maxpos;
   G4double mineng, maxeng;
 
-  IHistogram1D* enerHisto;
-  IHistogram2D* posiXY;
-  IHistogram2D* posiXZ;
-  IHistogram2D* posiYZ;
-  IHistogram2D* anglCTP;
-  IHistogram2D* anglTP;
-  ITuple* tuple;
-
-  IPlotter* plotter;
+  AIDA::IHistogram1D* enerHisto;
+  AIDA::IHistogram2D* posiXY;
+  AIDA::IHistogram2D* posiXZ;
+  AIDA::IHistogram2D* posiYZ;
+  AIDA::IHistogram2D* anglCTP;
+  AIDA::IHistogram2D* anglTP;
+  AIDA::ITuple* tuple;
 
   exGPSAnalysisMessenger* analysisMessenger;
Index: trunk/examples/extended/eventgenerator/exgps/include/exGPSEventActionMessenger.hh
===================================================================
--- trunk/examples/extended/eventgenerator/exgps/include/exGPSEventActionMessenger.hh	(revision 1187)
+++ trunk/examples/extended/eventgenerator/exgps/include/exGPSEventActionMessenger.hh	(revision 1230)
@@ -32,5 +32,5 @@
 //
 // $Id: exGPSEventActionMessenger.hh,v 1.4 2006/06/29 17:14:26 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/eventgenerator/exgps/macros/display.mac
===================================================================
--- trunk/examples/extended/eventgenerator/exgps/macros/display.mac	(revision 1187)
+++ trunk/examples/extended/eventgenerator/exgps/macros/display.mac	(revision 1230)
@@ -1,8 +1,8 @@
 #
 /vis/scene/create
-/vis/sceneHandler/create OGLIX
+/vis/sceneHandler/create VRML2FILE
 /vis/viewer/create
 /vis/drawVolume
-/vis/viewer/viewpointThetaPhi 30 30
+#/vis/viewer/viewpointThetaPhi 30 30
 #/vis/viewer/update
 /vis/scene/endOfEventAction accumulate
Index: trunk/examples/extended/eventgenerator/exgps/src/exGPSAnalysisManager.cc
===================================================================
--- trunk/examples/extended/eventgenerator/exgps/src/exGPSAnalysisManager.cc	(revision 1187)
+++ trunk/examples/extended/eventgenerator/exgps/src/exGPSAnalysisManager.cc	(revision 1230)
@@ -37,6 +37,7 @@
 
 exGPSAnalysisManager::exGPSAnalysisManager(): 
-fileName("exgps.aida"),fileType("xml"),analysisFactory(0), hFactory(0), tFactory(0),
-minpos(-10.),maxpos(10),mineng(0.),maxeng(1000.)
+fileName("exgps.aida"),fileType("xml"),analysisFactory(0), tree(0),plotter(0),
+minpos(-10.),maxpos(10),mineng(0.),maxeng(1000.),
+enerHisto(0),posiXY(0),posiXZ(0),posiYZ(0),anglCTP(0),anglTP(0),tuple(0)
 {
   // Define the messenger and the analysis system
@@ -55,31 +56,5 @@
 
 
-IHistogramFactory* exGPSAnalysisManager::getHistogramFactory()
-{
-  return hFactory;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-
-ITupleFactory* exGPSAnalysisManager::getTupleFactory()
-{
-  return tFactory;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-IPlotter* exGPSAnalysisManager::createPlotter()
-{
-#ifdef JAIDA_HOME 
-  if (analysisFactory)
-  {
-    IPlotterFactory* pf = analysisFactory->createPlotterFactory(0,0);
-    if (pf) return pf->create("Plotter");
-  }
-#endif
-  return 0;
-}
-
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
 ////////////////////////////////////////////////////////////////////////////////
@@ -108,10 +83,12 @@
 				G4double t, G4double p, G4double w)
 {
-  enerHisto->fill(e/MeV,w);
-  posiXY->fill(x/cm,y/cm,w);
-  posiXZ->fill(x/cm,z/cm,w);
-  posiYZ->fill(y/cm,z/cm,w);
-  anglCTP->fill(p/deg,std::cos(t),w);
-  anglTP->fill(p/deg,t/deg,w);
+  if(enerHisto) {
+    enerHisto->fill(e/MeV,w);
+    posiXY->fill(x/cm,y/cm,w);
+    posiXZ->fill(x/cm,z/cm,w);
+    posiYZ->fill(y/cm,z/cm,w);
+    anglCTP->fill(p/deg,std::cos(t),w);
+    anglTP->fill(p/deg,t/deg,w);
+  }
 
   if (plotter) plotter->refresh();
@@ -141,20 +118,33 @@
 void exGPSAnalysisManager::BeginOfRun() 
 { 
+  tree = 0;
+  plotter = 0;
+
+  enerHisto =0;
+  posiXY = posiXZ = posiYZ = anglCTP =anglTP = 0;
+  tuple = 0;
 
   // Hooking an AIDA compliant analysis system.
   analysisFactory = AIDA_createAnalysisFactory();
-  if(analysisFactory){
-    ITreeFactory* treeFactory = analysisFactory->createTreeFactory();
+  if(!analysisFactory) //Have to check that, it can fail.
+  {
+    G4cout << "exGPSAnalysisManager::BeginOfRun: can't get AIDA." << G4endl; 
+    return;
+  }
+  AIDA::ITreeFactory* treeFactory = analysisFactory->createTreeFactory();
+  if(treeFactory) 
+  {
     tree = treeFactory->create(fileName,fileType,false,true,"compress=yes");
-    hFactory = analysisFactory->createHistogramFactory(*tree);
-    tFactory = analysisFactory->createTupleFactory(*tree);
+    if(!tree) //Have to check that, it can fail.
+    {
+      G4cout << "exGPSAnalysisManager::BeginOfRun:"
+             << " can't create the AIDA::ITree : " << fileName << G4endl; 
+      return;
+    }
+
     delete treeFactory; // Will not delete the ITree.
   }
-  //
-  enerHisto =0;
-  posiXY = posiXZ = posiYZ = anglCTP =anglTP = 0;
-  plotter = 0;
-  tuple = 0;
-  //
+
+  AIDA::IHistogramFactory* hFactory = analysisFactory->createHistogramFactory(*tree);
   if (hFactory)
   {
@@ -173,28 +163,33 @@
     anglTP = hFactory->createHistogram2D("Source phi-theta distribution",360,0,360
 						  ,180,0,180);
-#ifdef JAIDA_HOME
-    plotter = createPlotter();
-
+    delete hFactory;
+  }
+
+  // Create a Tuple
+
+  AIDA::ITupleFactory* tFactory = analysisFactory->createTupleFactory(*tree);
+  if (tFactory)
+  {
+     tuple = tFactory->create("MyTuple","MyTuple","string Pname, double Energy, X, Y, Z, Theta, Phi, Weight","");
+     delete tFactory;
+  }
+  
+  AIDA::IPlotterFactory* pf = analysisFactory->createPlotterFactory(0,0);
+  if(pf) 
+  {
+    plotter = pf->create();
     if (plotter)
     {
        plotter->createRegions(2,3);
-       plotter->region(0)->plot(*enerHisto);
-       plotter->region(1)->plot(*posiXY);
-       plotter->region(2)->plot(*posiXZ);
-       plotter->region(3)->plot(*posiYZ);
-       plotter->region(4)->plot(*anglCTP);
-       plotter->region(5)->plot(*anglTP);
+       if(enerHisto) plotter->region(0)->plot(*enerHisto);
+       if(posiXY) plotter->region(1)->plot(*posiXY);
+       if(posiXZ) plotter->region(2)->plot(*posiXZ);
+       if(posiYZ) plotter->region(3)->plot(*posiYZ);
+       if(anglCTP) plotter->region(4)->plot(*anglCTP);
+       if(anglTP) plotter->region(5)->plot(*anglTP);
        plotter->show();
-     }
-#endif
-  }
-
-  // Create a Tuple
-
-  if (tFactory)
-  {
-     tuple = tFactory->create("MyTuple","MyTuple","std::string Pname, std::double Energy, X, Y, Z, Theta, Phi, Weight","");
-  }
-
+    }
+    delete pf;
+  }
 }
 
@@ -210,10 +205,18 @@
     if (!tree->commit()) G4cout << "Commit failed: no AIDA file produced!" << G4endl;
     delete tree;
-    delete tFactory;
-    delete hFactory;
+    tree = 0;
     //    G4cout << "Warning: Geant4 will NOT continue unless you close the JAS-AIDA window." << G4endl;
-    delete analysisFactory;
-  }
-  //  dispose();
+
+    delete plotter;
+    plotter = 0;
+
+    delete analysisFactory; //cleanup all AIDA related things.
+    analysisFactory = 0;
+
+    enerHisto = 0;
+    posiXY = posiXZ = posiYZ = anglCTP =anglTP = 0;
+    tuple = 0;
+
+  }
 }
 
Index: trunk/examples/extended/eventgenerator/exgps/src/exGPSAnalysisMessenger.cc
===================================================================
--- trunk/examples/extended/eventgenerator/exgps/src/exGPSAnalysisMessenger.cc	(revision 1187)
+++ trunk/examples/extended/eventgenerator/exgps/src/exGPSAnalysisMessenger.cc	(revision 1230)
@@ -25,6 +25,4 @@
 //
 #ifdef G4ANALYSIS_USE
-
-#include <AIDA/AIDA.h>
 
 #include "exGPSAnalysisMessenger.hh"
Index: trunk/examples/extended/eventgenerator/exgps/src/exGPSEventAction.cc
===================================================================
--- trunk/examples/extended/eventgenerator/exgps/src/exGPSEventAction.cc	(revision 1187)
+++ trunk/examples/extended/eventgenerator/exgps/src/exGPSEventAction.cc	(revision 1230)
@@ -28,5 +28,4 @@
 
 #ifdef G4ANALYSIS_USE
-#include <AIDA/AIDA.h>
 #include "exGPSAnalysisManager.hh"
 #endif
@@ -89,5 +88,6 @@
       E=std::sqrt(P*P+E0*E0);   
       E -= E0;
-      G4String pname = evt->GetPrimaryVertex(j)->GetPrimary(i)->GetG4code()->GetParticleName();
+//      G4String pname = evt->GetPrimaryVertex(j)->GetPrimary(i)->GetG4code()->GetParticleName();
+      G4double pid = G4double(evt->GetPrimaryVertex(j)->GetPrimary(i)->GetPDGcode());
       //
       direction=direction*(1./direction.mag());                
@@ -101,9 +101,11 @@
       z=position.z();
       w = evt->GetPrimaryVertex(j)->GetPrimary(i)->GetWeight();
-      exGPSAnalysisManager::getInstance()->Fill(pname,E,x,y,z,Theta,Phi,w);
+//      exGPSAnalysisManager::getInstance()->Fill(pname,E,x,y,z,Theta,Phi,w);
+     exGPSAnalysisManager::getInstance()->Fill(pid,E,x,y,z,Theta,Phi,w);
     }
   }   
 #endif
-  
+
+#ifdef G4VIS_USE
   // extract the trajectories and draw them
   if (G4VVisManager::GetConcreteInstance())
@@ -122,4 +124,5 @@
        }
    }             
+#endif
 }
 
Index: trunk/examples/extended/eventgenerator/exgps/src/exGPSEventActionMessenger.cc
===================================================================
--- trunk/examples/extended/eventgenerator/exgps/src/exGPSEventActionMessenger.cc	(revision 1187)
+++ trunk/examples/extended/eventgenerator/exgps/src/exGPSEventActionMessenger.cc	(revision 1230)
@@ -32,5 +32,5 @@
 //
 // $Id: exGPSEventActionMessenger.cc,v 1.3 2006/06/29 17:14:43 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/eventgenerator/exgps/src/exGPSRunAction.cc
===================================================================
--- trunk/examples/extended/eventgenerator/exgps/src/exGPSRunAction.cc	(revision 1187)
+++ trunk/examples/extended/eventgenerator/exgps/src/exGPSRunAction.cc	(revision 1230)
@@ -33,5 +33,4 @@
 
 #ifdef G4ANALYSIS_USE
-#include <AIDA/AIDA.h>
 #include "exGPSAnalysisManager.hh"
 #endif
@@ -55,4 +54,5 @@
   G4cout << "### Run " << aRun->GetRunID() << " start." << G4endl;
 
+#ifdef G4VIS_USE
   if (G4VVisManager::GetConcreteInstance())
     {
@@ -60,4 +60,5 @@
       UI->ApplyCommand("/vis/scene/notifyHandlers");
     } 
+#endif
 #ifdef G4ANALYSIS_USE
   // If analysis is used reset the histograms
@@ -70,7 +71,9 @@
 void exGPSRunAction::EndOfRunAction(const G4Run* )
 {
+#ifdef G4VIS_USE
   if (G4VVisManager::GetConcreteInstance()) {
      G4UImanager::GetUIpointer()->ApplyCommand("/vis/viewer/update");
   }
+#endif
   // If analysis is used
 #ifdef G4ANALYSIS_USE 
Index: trunk/examples/extended/exoticphysics/monopole/GNUmakefile
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/GNUmakefile	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
+# $Id: GNUmakefile,v 1.2 2008/06/11 14:34:19 vnivanch Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -15,15 +15,5 @@
 all: lib bin
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
-
 include $(G4INSTALL)/config/architecture.gmk
-
-ifdef G4ANALYSIS_USE
-  # for the aida-config command see the README file
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
